package xyz.nuark.liblinphone_flutter.views

import android.content.Context
import android.graphics.Color
import android.view.TextureView
import android.view.View
import io.flutter.plugin.platform.PlatformView

internal class RemoteView(context: Context, id: Int, creationParams: Map<String?, Any?>?) : PlatformView {
    private val textureView: TextureView

    override fun getView(): View {
        return textureView
    }

    override fun dispose() {
        textureView.surfaceTexture?.release()
    }

    init {
        textureView = TextureView(context)
        textureView.id = id
    }
}